classification
Title: Python 3.1.2rc1 doesn't compile using the 10.4 sdk on a 10.6 Mac
Type: compile error Stage: resolved
Components: macOS Versions: Python 3.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: mpalluat, ned.deily, ronaldoussoren
Priority: normal Keywords:

Created on 2010-03-12 17:40 by mpalluat, last changed 2010-05-13 07:55 by ronaldoussoren. This issue is now closed.

Files
File name Uploaded Description Edit
unnamed mpalluat, 2010-03-15 09:58
Messages (5)
msg100949 - (view) Author: Palluat de Besset (mpalluat) Date: 2010-03-12 17:40
/usr/bin/gcc-4.0 -arch ppc -arch i386 -isysroot /Developer/SDKs/MacOSX10.4u.sdk  -DPYTHONFRAMEWORK='"Python"' -o pythonw ./Tools/pythonw.c -I.. -I./../Include ../Python.framework/Versions/3.2/Python
./Tools/pythonw.c:22:19:./Tools/pythonw.c:22:19: error: spawn.h: No such file or directory
 error: spawn.h: No such file or directory
./Tools/pythonw.c:91: error: syntax error before ‘*’ token./Tools/pythonw.c:91: error: syntax error before ‘*’ token
./Tools/pythonw.c: In function ‘setup_spawnattr’:
./Tools/pythonw.c:95: error: ‘cpu_type_t’ undeclared (first use in this function)
./Tools/pythonw.c:95: error: (Each undeclared identifier is reported only once
./Tools/pythonw.c:95: error: for each function it appears in.)
./Tools/pythonw.c:95: error: syntax error before ‘cpu_types’
./Tools/pythonw.c:101: error: ‘spawnattr’ undeclared (first use in this function)
./Tools/pythonw.c:122: error: ‘cpu_types’ undeclared (first use in this function)
./Tools/pythonw.c:122: error: ‘CPU_TYPE_X86’ undeclared (first use in this function)
./Tools/pythonw.c:142: error: ‘POSIX_SPAWN_SETEXEC’ undeclared (first use in this function)
./Tools/pythonw.c: In function ‘main’:
./Tools/pythonw.c:158: error: ‘posix_spawn’ undeclared (first use in this function)
./Tools/pythonw.c:159: error: ‘posix_spawnattr_t’ undeclared (first use in this function)
./Tools/pythonw.c:159: error: syntax error before ‘spawnattr’
./Tools/pythonw.c:161: error: ‘spawnattr’ undeclared (first use in this function)

./Tools/pythonw.c: In function ‘setup_spawnattr’:
./Tools/pythonw.c:95: error: ‘cpu_type_t’ undeclared (first use in this function)
./Tools/pythonw.c:95: error: (Each undeclared identifier is reported only once
./Tools/pythonw.c:95: error: for each function it appears in.)
./Tools/pythonw.c:95: error: syntax error before ‘cpu_types’
./Tools/pythonw.c:101: error: ‘spawnattr’ undeclared (first use in this function)
./Tools/pythonw.c:120: error: ‘cpu_types’ undeclared (first use in this function)
./Tools/pythonw.c:120: error: ‘CPU_TYPE_POWERPC’ undeclared (first use in this function)
./Tools/pythonw.c:142: error: ‘POSIX_SPAWN_SETEXEC’ undeclared (first use in this function)
./Tools/pythonw.c: In function ‘main’:
./Tools/pythonw.c:158: error: ‘posix_spawn’ undeclared (first use in this function)
./Tools/pythonw.c:159: error: ‘posix_spawnattr_t’ undeclared (first use in this function)
./Tools/pythonw.c:159: error: syntax error before ‘spawnattr’
./Tools/pythonw.c:161: error: ‘spawnattr’ undeclared (first use in this function)
lipo: can't figure out the architecture type of: /var/tmp//cct0zueu.out
make[1]: *** [pythonw] Error 1
make: *** [frameworkinstallapps] Error 2
msg100970 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2010-03-12 21:21
Note: "Python.framework/Versions/3.2/Python".
You appear to be building from py3k (which will become 3.2), and not Python 3.1.2rc2.  There are pending fixes for py3k for OS X framework targeted builds and there is at least one as yet unmerged fix for 3.1.2.  At the moment, building any branch of Python on 10.6 and targeting earlier systems does not work correctly; extension module building should be OK as long as the 10.4u SDK is available and gcc 4.0 is used.  Until that is fixed, if you really need to target 10.3, you should build Python on 10.5 or 10.4, otherwise, build just for 10.6 on 10.6 (to do so you may need to set MACOSX_DEPLOYMENT_TARGET=10.6).
msg101092 - (view) Author: Palluat de Besset (mpalluat) Date: 2010-03-15 09:58
Yes, sorry for the confusion. I'm trying to build a universal 32 bit version of Python that will be embedded in our software. we need it to run on 10.4 to 10.6 Mac systems, and would like to build it on a 10.6 machine. I've been trying with several versions of Python to try to achieve that ; version 3.1.1, version 3.1.2rc1 and py3k. None of these version would build a 10.4 compatible universal 32 bit on our 10.6 build machine. This is why I raised an issue.

Thanks,

Marc

On 12 Mar 2010, at 21:21, Ned Deily wrote:

Ned Deily <nad@acm.org<mailto:nad@acm.org>> added the comment:

Note: "Python.framework/Versions/3.2/Python".
You appear to be building from py3k (which will become 3.2), and not Python 3.1.2rc2.  There are pending fixes for py3k for OS X framework targeted builds and there is at least one as yet unmerged fix for 3.1.2.  At the moment, building any branch of Python on 10.6 and targeting earlier systems does not work correctly; extension module building should be OK as long as the 10.4u SDK is available and gcc 4.0 is used.  Until that is fixed, if you really need to target 10.3, you should build Python on 10.5 or 10.4, otherwise, build just for 10.6 on 10.6 (to do so you may need to set MACOSX_DEPLOYMENT_TARGET=10.6).

----------
nosy: +ned.deily

_______________________________________
Python tracker <report@bugs.python.org<mailto:report@bugs.python.org>>
<http://bugs.python.org/issue8126>
_______________________________________

Marc Palluat de Besset
Mac Software Engineer

email : marc.palluatdebesset@sophos.com<mailto:marc.palluatdebesset@sophos.com>
tel : +44 1235 544056
loc : E2 floor 2

SOPHOS - simply secure

________________________________
Sophos Plc, The Pentagon, Abingdon Science Park, Abingdon, OX14 3YP, United Kingdom.
Company Reg No 2096520. VAT Reg No GB 348 3873 20.
msg103520 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2010-04-18 19:22
This issue should be fixed in the repository for both python 3.1 and 3.2, could you please test this?
msg105629 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2010-05-13 07:55
I've verified that HEAD for both 3.1 and 3.2 build fine now, hence this issue can be closed.
History
Date User Action Args
2010-05-13 07:55:08ronaldoussorensetstatus: open -> closed
resolution: fixed
messages: + msg105629

stage: needs patch -> resolved
2010-04-18 19:22:28ronaldoussorensetmessages: + msg103520
2010-03-15 09:58:17mpalluatsetfiles: + unnamed

messages: + msg101092
title: Python 3.1.2rc1 doesn't compile using the 10.4 sdk on a 10.6 Mac -> Python 3.1.2rc1 doesn't compile using the 10.4 sdk on a 10.6 Mac
2010-03-12 21:21:05ned.deilysetnosy: + ned.deily
messages: + msg100970
2010-03-12 21:18:05brett.cannonsetnosy: + ronaldoussoren
priority: normal
assignee: ronaldoussoren
components: + macOS, - Build
stage: needs patch
2010-03-12 17:40:05mpalluatcreate